'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ArrayField = require('react-jsonschema-form/lib/components/fields/ArrayField');

var _ArrayField2 = _interopRequireDefault(_ArrayField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function CustomArrayField(props) {
    var uiSchema = props.uiSchema;

    var widget = uiSchema['ui:widget'];

    if (widget === 'file-multiple') {
        var MultipleUploadWidget = props.registry.widgets['file-multiple'];

        return _react2.default.createElement(MultipleUploadWidget, props);
    }

    return _react2.default.createElement(_ArrayField2.default, props);
}

exports.default = CustomArrayField;
module.exports = exports['default'];