import React from 'react';

function CustomFieldTemplate(props) {
    var id = props.id,
        classNames = props.classNames,
        label = props.label,
        help = props.help,
        required = props.required,
        description = props.description,
        errors = props.errors,
        children = props.children;


    return React.createElement(
        'div',
        { className: classNames, style: { marginTop: '16px', marginBottom: '8px' } },
        description,
        children,
        errors,
        help
    );
}

export default CustomFieldTemplate;